#!/usr/bin/env python
# coding: utf-8

# In[1]:


import pandas as pd
df = pd.read_csv("30.csv")
filt = ~df['leaderGap'].str.contains('None')
df = df[filt]
filt = ~df['followerGap'].str.contains('None')
df = df[filt]
df["leaderGap"] = pd.to_numeric(df["leaderGap"], downcast="float")
df["followerGap"] = pd.to_numeric(df["followerGap"], downcast="float")
sum_gap = df['leaderGap'] + df['followerGap']
df['Gap'] = sum_gap
total_gap = df['Gap'] + 5
df['totalGap'] = total_gap
time_gap = df['totalGap'] / df['speed']
df['timeGap'] = time_gap
import numpy as np
df = df.replace([np.inf, -np.inf], np.nan).dropna(axis=0)
cols = ['timeGap']
df[cols] = df[df[cols] < 16][cols]
df.dropna()
df


# In[2]:


timeGap_mean = df["timeGap"].mean()
timeGap_mean


# In[3]:


timeGap_std = df["timeGap"].std()
timeGap_std


# In[ ]:




